idella4     14/06/04 06:51:31

  Modified:             logilab-common-0.61.0.ebuild ChangeLog
  Log:
  Fix epydoc doc build, fixes Bug #512112
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
0xB8072B0D)

Revision  Changes    Path
1.8                  dev-python/logilab-common/logilab-common-0.61.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild?r1=1.7&r2=1.8

Index: logilab-common-0.61.0.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- logilab-common-0.61.0.ebuild        8 May 2014 05:41:50 -0000       1.7
+++ logilab-common-0.61.0.ebuild        4 Jun 2014 06:51:31 -0000       1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild,v
 1.7 2014/05/08 05:41:50 idella4 Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/logilab-common/logilab-common-0.61.0.ebuild,v
 1.8 2014/06/04 06:51:31 idella4 Exp $
 
 EAPI=5
 
@@ -24,10 +24,10 @@
 # egenix-mx-base tests are optional and supports python2 only.
 DEPEND="${RDEPEND}
        test? (
-               $(python_gen_cond_dep 
'dev-python/egenix-mx-base[${PYTHON_USEDEP}]' 'python2*')
+               $(python_gen_cond_dep 
'dev-python/egenix-mx-base[${PYTHON_USEDEP}]' python2_7)
                !dev-python/psycopg[-mxdatetime]
        )
-       doc? ( dev-python/epydoc )"
+       doc? ( $(python_gen_cond_dep 'dev-python/epydoc[${PYTHON_USEDEP}]' 
python2_7) )"
 
 PATCHES=(
        # Make sure setuptools does not create a zip file in python_test;
@@ -47,10 +47,12 @@
 
 python_compile_all() {
        if use doc; then
-               # Simplest way to make makefile point to the right place.
-               ln -s "${BUILD_DIR}" build || die
-               emake -C doc epydoc
-               rm build || die
+               # Based on the doc build in Arfrever's ebuild. It works
+               pushd doc > /dev/null
+               mkdir -p apidoc || die
+               epydoc --parse-only -o apidoc --html -v --no-private 
--exclude=__pkginfo__ --exclude=setup --exclude=test \
+                       -n "Logilab's common library" "$(ls -d 
../build//lib/logilab/common/)" build \
+                       || die "Generation of documentation failed"
        fi
 }
 



1.143                dev-python/logilab-common/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/ChangeLog?rev=1.143&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/ChangeLog?rev=1.143&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/logilab-common/ChangeLog?r1=1.142&r2=1.143

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/logilab-common/ChangeLog,v
retrieving revision 1.142
retrieving revision 1.143
diff -u -r1.142 -r1.143
--- ChangeLog   8 May 2014 05:41:50 -0000       1.142
+++ ChangeLog   4 Jun 2014 06:51:31 -0000       1.143
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/logilab-common
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/logilab-common/ChangeLog,v 1.142 
2014/05/08 05:41:50 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/logilab-common/ChangeLog,v 1.143 
2014/06/04 06:51:31 idella4 Exp $
+
+  04 Jun 2014; Ian Delaney <[email protected]> logilab-common-0.61.0.ebuild:
+  Fix epydoc doc build, fixes Bug #512112
 
   08 May 2014; Ian Delaney <[email protected]> logilab-common-0.61.0.ebuild:
   drop py2.6 pypy2_0 add py3.4 support, minor tidy, upgrade test phase




Reply via email to